Bug 133511 - LO70b1: on macOS: langpack installer reports invalid installation of LO70, cannot install langpack
Summary: LO70b1: on macOS: langpack installer reports invalid installation of LO70, ca...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha1+
Hardware: All Mac OS X (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-05-30 07:18 UTC by Martin Srebotnjak
Modified: 2020-07-31 10:09 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2020-05-30 07:18:46 UTC
Description:
Using LO70b1 on macOS and Slovenian LO70b1 langpack - after LO70b1 install running the langpack a message pops up (translated freely from Slovenian):
"/Applications/LibreOfficeDev.appThis is not a valid install of LibreOfficeDev 7.0.
Run the installer again and choose a valid LibreOfficeDev 7.0 installation"
Also the langpack installer does not show a list of all LO installs on the computer, where an installation of LO/LODev can be selected.

Steps to Reproduce:
1. Install LO70b1
2. Try installing LO70b1 langpack
3.

Actual Results:
Installation of langpack breaks.

Expected Results:
Should install.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.beta1
Build ID: 94f789cbb33335b4a511c319542c7bdc31ff3b3c
CPU threads: 8; OS: Mac OS X 10.14.6; UI render: default; VCL: osx
Locale: sl-SI (sl_SI.UTF-8); UI: en-US
Calc: threaded
Comment 1 Martin Srebotnjak 2020-05-30 07:19:56 UTC
This prevents using (and testing b1) localized versions of LO on macOS.
Comment 2 Telesto 2020-05-31 06:31:39 UTC
Thanks for reporting.. the whole language pack install is a thing.. see also bug 126409

Did you run LibreOffice before installing the language pack, might work. Note: I agree it's more a work around.. if it works..
Comment 3 Martin Srebotnjak 2020-05-31 10:40:42 UTC
Sure did. Didn't help.
This seems like a new error, the installer does not offer selection of installed LO instances (as I have also a LO64 installed).
Comment 4 Alex Thurgood 2020-06-02 08:59:27 UTC
Sounds like an error in the OSA script again.
Comment 5 Christian Lohmaier 2020-06-04 14:41:33 UTC
regression from https://git.libreoffice.org/core/+/3a028418190790c3bbaf6e505ff55b7bb8c0b474%5E%21

the languagepack installer looks for the productname productversion string that was removed.

https://git.libreoffice.org/core/+/refs/heads/master/setup_native/scripts/osx_install_languagepack.applescript#129
Comment 6 Commit Notification 2020-06-16 10:48:24 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7708b3f2d62f3defae261cd2d3621ae3b324d9d1

tdf#133511 adjust langpack script for removal of CFBundleGetInfoString

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-16 14:50:32 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2b12b30a61a3b0957b3364a22922edc6cd39d214

tdf#133511 adjust langpack script for removal of CFBundleGetInfoString

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Andrew Watson 2020-07-08 09:10:20 UTC
Successfully applied this language pack:

LibreOffice_7.0.0.1_MacOS_x86-64_langpack_en-GB.dmg

 ... to this LO version:

Version: 7.0.0.1
Build ID: 04ba7e3f1e51af6c5d653e543a620e36719083fd
CPU threads: 4; OS: Mac OS X 10.11.6; UI render: default; VCL: osx
Locale: en-GB (en_GB.UTF-8); UI: en-GB
Calc: threaded

All works as expected. 

Bug would appear to be fixed - changed status to RESOLVED FIXED.
Comment 9 Frank Fuchs 2020-07-31 09:57:46 UTC
Unfortunately, this bug is not fixed if you use macOS 10.15 - see bug 134607
Comment 10 Xisco Faulí 2020-07-31 10:09:33 UTC
(In reply to Frank Fuchs from comment #9)
> Unfortunately, this bug is not fixed if you use macOS 10.15 - see bug 134607

bug 134607 is already tracking the problem. No need to have both tickets open